curl --request POST \
--url https://api.hubapi.com/settings/currencies/2026-09/exchange-rates/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"conversionRate": 123,
"id": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.hubapi.com/settings/currencies/2026-09/exchange-rates/batch/update"
payload = { "inputs": [
{
"conversionRate": 123,
"id": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inputs: [{conversionRate: 123, id: '<string>', effectiveAt: '2023-11-07T05:31:56Z'}]
})
};
fetch('https://api.hubapi.com/settings/currencies/2026-09/exchange-rates/batch/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/settings/currencies/2026-09/exchange-rates/batch/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'inputs' => [
[
'conversionRate' => 123,
'id' => '<string>',
'effectiveAt' => '2023-11-07T05:31:56Z'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/settings/currencies/2026-09/exchange-rates/batch/update"
payload := strings.NewReader("{\n \"inputs\": [\n {\n \"conversionRate\": 123,\n \"id\": \"<string>\",\n \"effectiveAt\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/settings/currencies/2026-09/exchange-rates/batch/update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"inputs\": [\n {\n \"conversionRate\": 123,\n \"id\": \"<string>\",\n \"effectiveAt\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/settings/currencies/2026-09/exchange-rates/batch/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"inputs\": [\n {\n \"conversionRate\": 123,\n \"id\": \"<string>\",\n \"effectiveAt\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"conversionRate": 123,
"createdAt": "2023-11-07T05:31:56Z",
"effectiveAt": "2023-11-07T05:31:56Z",
"fromCurrencyCode": "AED",
"id": "<string>",
"toCurrencyCode": "AED",
"updatedAt": "2023-11-07T05:31:56Z",
"visibleInUI": true
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"conversionRate": 123,
"createdAt": "2023-11-07T05:31:56Z",
"effectiveAt": "2023-11-07T05:31:56Z",
"fromCurrencyCode": "AED",
"id": "<string>",
"toCurrencyCode": "AED",
"updatedAt": "2023-11-07T05:31:56Z",
"visibleInUI": true
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update multiple exchange rates
Atualize as taxas de conversão para diversas taxas de câmbio em uma operação em lote.
curl --request POST \
--url https://api.hubapi.com/settings/currencies/2026-09/exchange-rates/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"conversionRate": 123,
"id": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.hubapi.com/settings/currencies/2026-09/exchange-rates/batch/update"
payload = { "inputs": [
{
"conversionRate": 123,
"id": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inputs: [{conversionRate: 123, id: '<string>', effectiveAt: '2023-11-07T05:31:56Z'}]
})
};
fetch('https://api.hubapi.com/settings/currencies/2026-09/exchange-rates/batch/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/settings/currencies/2026-09/exchange-rates/batch/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'inputs' => [
[
'conversionRate' => 123,
'id' => '<string>',
'effectiveAt' => '2023-11-07T05:31:56Z'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/settings/currencies/2026-09/exchange-rates/batch/update"
payload := strings.NewReader("{\n \"inputs\": [\n {\n \"conversionRate\": 123,\n \"id\": \"<string>\",\n \"effectiveAt\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/settings/currencies/2026-09/exchange-rates/batch/update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"inputs\": [\n {\n \"conversionRate\": 123,\n \"id\": \"<string>\",\n \"effectiveAt\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/settings/currencies/2026-09/exchange-rates/batch/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"inputs\": [\n {\n \"conversionRate\": 123,\n \"id\": \"<string>\",\n \"effectiveAt\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"conversionRate": 123,
"createdAt": "2023-11-07T05:31:56Z",
"effectiveAt": "2023-11-07T05:31:56Z",
"fromCurrencyCode": "AED",
"id": "<string>",
"toCurrencyCode": "AED",
"updatedAt": "2023-11-07T05:31:56Z",
"visibleInUI": true
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"conversionRate": 123,
"createdAt": "2023-11-07T05:31:56Z",
"effectiveAt": "2023-11-07T05:31:56Z",
"fromCurrencyCode": "AED",
"id": "<string>",
"toCurrencyCode": "AED",
"updatedAt": "2023-11-07T05:31:56Z",
"visibleInUI": true
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorizações
The access token received from the authorization server in the OAuth 2.0 flow.
Corpo
Matriz de objetos ExchangeRateUpdateRequest, cada um deles representando uma atualização individual da taxa de câmbio. Esta matriz é obrigatória e contém os detalhes de cada taxa de câmbio a ser atualizada, incluindo a taxa de conversão e a data efetiva.
Show child attributes
Show child attributes
Resposta
successful operation
A data e a hora em que a resposta foi concluída
Matriz de objetos de taxa de câmbio que representam resultados da operação em lote.
Show child attributes
Show child attributes
A data e a hora da solicitação.
O estado atual da resposta (ex.: CONCLUÍDO)
CANCELED, COMPLETE, PENDING, PROCESSING O link leva à próxima página com as taxas de câmbio.
Show child attributes
Show child attributes
A data e a hora da solicitação.